Update a task_files by supplying directly the field task_files.file_content as Byte Array
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
task_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| task_id |
Task Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id |
In case of global files - you can specifiy if it's available for all organization or only one |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier |
Required |
|
| show_on_web | boolean |
Request Formats :
application/json, text/json
{
"id": "00ac9166-4a47-438a-9e74-aca0653848c7",
"task_id": "27055c1b-6ce5-4287-813c-6de11dee04e6",
"file_name": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"tags": "sample string 6",
"mime_type": "sample string 7",
"file_type": "sample string 8",
"image_height": 9,
"image_width": 10,
"file_size": 11,
"sales_organization_id": "e52039c2-b027-4cb8-965a-8e26cd1fea6c",
"sales_organization_code": "sample string 13",
"file_content": "QEA=",
"dateutc_added": "2026-04-14T05:20:38.5939754+00:00",
"modified_dateutc": "2026-04-14T05:20:38.5939754+00:00",
"user_id": "a7f39798-b3b7-4589-8550-cfa75f4b16c9",
"show_on_web": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.